Bug 172671 - net-p2p/amule-devel: update to SVN 10792
Summary: net-p2p/amule-devel: update to SVN 10792
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-13 21:30 UTC by Barbara
Modified: 2012-10-28 17:53 UTC (History)
0 users

See Also:


Attachments
file.diff (5.38 KB, patch)
2012-10-13 21:30 UTC, Barbara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara 2012-10-13 21:30:00 UTC
Update amule-devel port to SVN revision 10792.
Trim headers.
Remove quotes from options description.
Backport code fixes from upstream up to r10795 as the project has moved from SourceForge to GoogleCode and so SVN tarballs will not be available for a while.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-10-13 21:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

flo@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 barbara.freebsd 2012-10-14 13:45:11 UTC
Same patch as above, with ABI version stripped from LIB_DEPENDS
http://pastebin.com/XPFivGu7
Comment 3 barbara.freebsd 2012-10-18 00:54:28 UTC
Same as above, plus:
Exhume DOCS and NLS options
OptionsNGize Makefile.man

http://pastebin.com/JJstrSFj
Comment 4 barbara.freebsd 2012-10-18 01:50:55 UTC
Fix Makefile.man from previous patch
http://pastebin.com/NW0rBEFs
Comment 5 Florian Smeets freebsd_committer 2012-10-28 17:53:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!